Bug 120269 - Filesystem should have "acl" option automatically set in /etc/fstab, if supported.
Filesystem should have "acl" option automatically set in /etc/fstab, if suppo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 10:31 EDT by Etienne Goyer
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-11 14:13:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Etienne Goyer 2004-04-07 10:31:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
One of the feature of kernel 2.6 I was eagerly waiting for is POSIX
ACL support standard.  After installing FC2T2, I saw it was not
defined in /etc/fstab; I had to to add the "acl" option myself by hand
and remount the filesystem.

I believe ACL are an important improvement of kernel 2.6, and having
them work out-of-the-box on filesystem that support them would raise
awareness about this new capability of Fedora.

Version-Release number of selected component (if applicable):
Don't know !

How reproducible:
Always

Steps to Reproduce:
Install Fedora.  See /etc/fstab do not have the "acl" option setted
for filesystems that could support them.

Additional info:
I filed this bug with the filesystem package although it is probably
not related.  I am sorry, I cannot determine which package /etc/fstab
belong to (rpm -qf tell me it is not owned by any package).
Comment 1 Bill Nottingham 2004-04-07 16:59:42 EDT
Perhaps making it a mount default?
Comment 2 Stephen Tweedie 2004-04-07 17:47:06 EDT
Yes, setting it in /etc/fstab automatically would seem like a good
idea.  That's the obvious place a user will look for it if they want
to see if it's enabled or if they want to change the settings.

An obvious question is whether to do it on upgrades too, or just on
install.  It's a common enough thing on 2.6 now that it probably does
make sense to do it on upgrade, but you could argue it either way.
Comment 3 Jeremy Katz 2004-04-07 21:46:52 EDT
I'd argue that it should just be on default.  If everybody's going to
get it then _it is the default_.  Having the installer maintain logic
of what the kernel defaults should be seems horribly broken.
Comment 4 Stephen Tweedie 2004-04-08 10:31:14 EDT
I'd rather not have to carry around a new kernel patch for the
defaults.  What about just "tune2fs -o acl" by default on new
filesystems, and release-note it if people want to change the defaults
on upgrade?  That keeps us entirely compatible with the rest of the
world in terms of how the ext3 tools/kernel behave, and appears to
have the desired effect.
Comment 5 Jeremy Katz 2004-04-11 14:13:35 EDT
It's somehow better to have the patch to change defaults in the
installer?  There is no way for me to keep up with what the kernel
people think defaults should be changed to this week.  So either it
needs to be the default per the kernel or anaconda isn't changing it
around.

Note You need to log in before you can comment on or make changes to this bug.